API referenceSettings
Update workspace settings
patch
https://www.tracira.com/api/settingsPATCH
sessionAuthcookie
better-auth.session_token<token>Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
application/json- body
onboardingDismissed?booleanworkspaceName?stringslackWebhookUrl?string|nullnotifyOnFlag?booleannotifyOnFail?booleanslackChannelId?string|nullnotificationEmail?string|nullemailOnFlag?booleanemailOnFail?booleanslackNotificationsEnabled?booleanemailNotificationsEnabled?booleanwebhookEnabled?booleanoutboundWebhookUrl?string|nulloutboundWebhookEvents?array<string>estimatedIncidentCostUsd?numberopenaiApiKey?string|nullanthropicApiKey?string|nullopenrouterApiKey?string|nullopenaiJudgeModel?string|nullanthropicJudgeModel?string|nullopenrouterJudgeModel?string|nulldefaultJudgeProvider?|Value in
"anthropic""openai""openrouter"color?stringSaved.
application/json- response
ok*booleancurl -X PATCH 'https://www.tracira.com/api/settings' \ -H 'Content-Type: application/json' \ -d '{ "emailNotificationsEnabled": true, "notificationEmail": "team@example.com", "emailOnFlag": true}'Example Response
{ "ok": true}